Remove padding from the List of Abbreviations box, so it stops squeezing results
Open, Needs TriagePublic

Description

More than one user has noted that the List of Abbreviations—even when it's closed—squeezes down the list of results. See screenshot below.

We'd thought to move this element up, but @Pginer-WMF suggests the following: it seems that we may not even need to move the legend up to avoid the first results to break into a new line. Currently the legend element has some margin at the bottom (in orange in the example):

By removing this bottom margin, the collapsed legend does not get in the way of the first result, as the comparison shows:

With current marginRemoving bottom margin

Fix needed for mobile

See the screenshot on my ipad, below. The Abbreviations box is wrapping, though there is plenty of room for it. This does not happen this way on Desktop, where the box doesn't wrap until the screen is actually shorter than the box. Maybe it's the padding problem, or something else? Please fix.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 16 2017, 6:53 PM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald Transcript

@Pginer, can you please look at this? If you like this idea, please show where the box would sit. Thanks.

@jmatazzoni it seems that we may not even need to move the legend up to avoid the first results to break into a new line. Currently the legend element has some margin at the bottom (in orange in the example):

By removing this bottom margin, the collapsed legend does not get in the way of the first result, as the comparison shows:

With current marginRemoving bottom margin
MtDu added a subscriber: MtDu.Oct 22 2017, 2:12 PM

Possible GCI Task @Pginer-WMF ?

Possible GCI Task @Pginer-WMF ?

Yes I think so.

@Aklapper, when does the code-in happen? I'm happy that this is an appropriate task, but don't want to wait too long to make this change...

@Aklapper, when does the code-in happen? I'm happy that this is an appropriate task, but don't want to wait too long to make this change...

As per (https://www.mediawiki.org/wiki/Google_Code-in/2017). This will happen between November 28, 2017 to January 17, 2018.

! In T178326#3705457, @Jayprakash12345 wrote:

As per (https://www.mediawiki.org/wiki/Google_Code-in/2017). This will happen between November 28, 2017 to January 17, 2018.

OK. I can't promise we'll save it, but if we haven't gotten to it then the code-inners are most welcome.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 3 2017, 7:00 PM
jmatazzoni renamed this task from Move List of Abbreviations box up, so it stops squeezing results to Remove padding from the List of Abbreviations box, so it stops squeezing results.Nov 21 2017, 10:37 PM
jmatazzoni updated the task description. (Show Details)
jmatazzoni updated the task description. (Show Details)Nov 23 2017, 1:20 AM

Duplicate of T174728: "Legend" retains some space if "Group results by change" is enabled. The information two tickets have is a little different, but revolving around same issue.

We discussed about that in our triage meeting yesterday and it will not be a GCI task. @Petar.petkovic will handle it very soon.

jmatazzoni reopened this task as Open.Nov 29 2017, 7:22 PM
jmatazzoni assigned this task to Petar.petkovic.

Reopening this. @Petar.petkovic, the difference between this and T174728 is that that one focused on "Group results by page". Whereas this one is for everything. So I'd just as soon keep this open, so that it can be tested separately —unless you want to rewrite the other ticket to make it more general.

Reopening this. @Petar.petkovic, the difference between this and T174728 is that that one focused on "Group results by page". Whereas this one is for everything. So I'd just as soon keep this open, so that it can be tested separately —unless you want to rewrite the other ticket to make it more general.

OK, fair point. Most of the problems are caused by how grouped vs non-grouped results are presented, but first entry can be pushed down a little even if there is no grouping enabled. I have dealt with such scenario in my patch, but the other ticket is not mentioning it.
Also, there is problem on mobile that T174728 doesn't cover.

D3r1ck01 moved this task from Backlog to Doing on the goodfirstbug board.Jan 26 2018, 4:23 PM
Petar.petkovic removed Petar.petkovic as the assignee of this task.Jun 7 2018, 11:27 PM
Petar.petkovic removed a subscriber: Petar.petkovic.
Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 8 2018, 1:00 AM